fn main() {
    let x = Box::<i64>::new(123);
    println!("{x}");

    let mut x = Box::<i64>::new(123);
    *x += 1;
    println!("{x}");

    let y = x;
    // コメントアウトを解除するとコンパイルエラーになります。
    //println!("{x}, {y}");
}
